const _Http = getApp().globalData.http;
Component({
    options: {
        addGlobalClass: true
    },
    properties: {
        list: Array,
        changeTotal: Function,
        disabled: Boolean
    },
    data: {},
    methods: {
        handleItem(e) {
            const {
                name,
                item
            } = e.target.dataset,
                that = this;
            switch (name) {
                case "call":
                    wx.makePhoneCall({
                        phoneNumber: item.phonenumber,
                    })
                    break;
                case "delete":
                    wx.showModal({
                        title: '提示',
                        content: `是否确认删除"${item.name}"`,
                        complete: (res) => {
                            if (res.confirm) _Http.basic({
                                "id": "20221018145502",
                                "content": {
                                    "contactsid": item.contactsid,
                                    "sys_enterpriseid": item.sys_enterpriseid
                                }
                            }).then(res => {
                                console.log("删除联系人", res)
                                if (res.msg != '成功') return wx.showToast({
                                    title: res.data,
                                    icon: "none"
                                });
                                that.triggerEvent("changeTotal")
                                wx.showToast({
                                    title: `删除成功！`,
                                    icon: "none"
                                })
                                getCurrentPages().forEach(v => {
                                    if (v.__route__ == "packageA/setclient/detail" || v.__route__ == "packageA/opponent/detail" || v.__route__ == "packageA/publicCustomer/detail") {
                                        let model = v.selectComponent("#Contacts");
                                        model.setData({
                                            list: model.data.list.filter(value => value.contactsid != item.contactsid)
                                        });
                                        // model.changeTotal();
                                    } else if (v.__route__ == "packageA/setclient/modules/contacts/search/index") {
                                        v.setData({
                                            list: v.data.list.filter(value => value.contactsid != item.contactsid)
                                        });
                                    } else if (v.__route__ == "packageA/setclient/modules/contacts/detail/index") {
                                        wx.navigateBack()
                                    }
                                })
                            })
                        }
                    })
                    break;
                case "edit":
                    wx.navigateTo({
                        url: `/packageA/setclient/modules/contacts/add/index?data=${JSON.stringify(item)}`
                    })
                    break;
            }
        },
        toDetail(e) {
            const {
                item
            } = e.currentTarget.dataset;
            wx.navigateTo({
                url: '/packageA/setclient/modules/contacts/detail/index?contactsid=' + item.contactsid
            })
        },
    }
})